Get a command
GET
https://api.vercel.com/v2/sandboxes/sessions/{sessionId}/cmd/{cmdId}Retrieves the current status and details of a command executed in a session. Use the
wait parameter to block until the command finishes execution.https://api.vercel.com/v2/sandboxes/sessions/{sessionId}/cmd/{cmdId}
const response = await fetch('https://api.vercel.com/v2/sandboxes/sessions/sessionId/cmd/cmdId?wait=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "command": { "id": "cmd_123a6c5209bc3778245d011443644c8d27dc2c50", "name": "npm", "args": [], "cwd": "/vercel/sandbox", "sessionId": "sbx_123a6c5209bc3778245d011443644c8d27dc2c50", "exitCode": "0", "startedAt": "1673123456789", "durationMs": "1234" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
422Error
429Error
500Error